Skip to main content
POST
/
api
/
deletejobs
Delete Jobs
curl --request POST \
  --url https://api.hellotracks.com/api/deletejobs \
  --header 'API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobs": [
    {}
  ]
}
'
You can delete one or multiple jobs via the /deletejobs endpoint. Deleted jobs will be deleted entirely, this action cannot be undone. Consider archiving jobs if you want to keep related data in the system.

REQUEST

POST https://api.hellotracks.com/api/deletejobs

{
	data: {
		jobs: [
			"<job_id_1>",
			"<job_id_2>",
			   ...
			"<job_id_n>"
		]
	}
}
jobs
array
required
An array of job IDs to delete. Jobs can be identified by their id or by using the template prefix (tpl-) for template jobs.
Permanent Deletion: This action permanently deletes jobs and cannot be undone. Consider using /archivejobs if you want to preserve job data for potential restoration.Permissions: Only administrators and company owners can delete jobs. Dispatchers can only delete jobs if the dispatcher_delete_jobs setting is enabled.
If successful, you’ll get status:0 and the deleted job objects in the response.

RESPONSE

{
	status: 0,
	jobs: [
		{ <job_1> },
		{ <job_2> }
	]
}